%define modname fileinfo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 32_%{modname}.ini

Summary:	Fileinfo extension module for PHP
Name:		php4-%{modname}
Version:	1.0.3
Release:	%mkrel 4
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/Fileinfo
Source0:	Fileinfo-%{version}.tar.bz2
Source1:	%{modname}.ini.bz2
Patch0:		Fileinfo-1.0-lib64.diff.bz2
Requires:	file
BuildRequires:	php4-devel >= 4.4.0
BuildRequires:  file-devel
#Provides:	php4-mime_magic
#Obsoletes:	php4-mime_magic
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This extension allows retrieval of information regarding vast majority of
file. This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a
particular file and for text files proper language encoding.

%prep

%setup -q -n Fileinfo-%{version}
[ "../package.xml" != "/" ] && mv ../package.xml .

%patch0 -p0

%build

php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

# force path to magic file
cat >> config.h << EOF
#define PHP_DEFAULT_MAGIC_FILE "%{_datadir}/misc/file/magic"
EOF

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

bzcat %{SOURCE1} > %{inifile}
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php4.d/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL fileinfo.php package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}


%changelog
* Sun Mar 04 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdv2007.0
+ Revision: 132265
- rebuilt against new upstream php version (4.4.6)

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-3mdv2007.1
+ Revision: 123763
- rebuilt against new upstream php version (4.4.5)

* Fri Dec 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-2mdv2007.1
+ Revision: 97572
- Import php4-fileinfo



* Sat Aug 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-2
- rebuilt for php-4.4.4

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.0.3-1mdv2007.0
- 1.0.3
- rebuilt for php-4.4.3

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-3mdk
- rebuild

* Mon Jan 16 2006 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-2mdk
- rebuilt against php-4.4.2

* Wed Nov 02 2005 Oden Eriksson <oeriksson@mandriva.com> 1:0.2-1mdk
- rebuilt for php-4.4.1
- fix versioning

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Wed Jun 15 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.2-1mdk
- added for php4 too

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.2-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_0.2-1mdk
- 5.0.4

* Mon Apr 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-5mdk
- lib64 fixes

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-2mdk
- rebuild due to hardened-php-0.2.6
- fix url

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_0.2-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_0.2-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- initial mandrake package
